### Method

# Gtk Dialog get_widget_for_response

#### Declaration [src]

    GtkWidget*
    gtk_dialog_get_widget_for_response (
      GtkDialog* dialog,
      int response_id
    )

#### Description [src]

Gets the widget button that uses the given response ID in the action area of a dialog.

#### Parameters

`response_id` | `int`
| The response ID used by the `dialog` widget.

#### Return value

Returns: | `GtkWidget`
| The `widget` button that uses the given `response_id`.
| The data is owned by the instance.
| The return value can be `NULL`.